diff mbox

rpm-pkg: Fix when current directory is a symlink

Message ID 1304542185-14520-1-git-send-email-mmarek@suse.cz (mailing list archive)
State New, archived
Headers show

Commit Message

Michal Marek May 4, 2011, 8:49 p.m. UTC
The better fix would be to stop using the parent directory (principle of
least surprise), but as long as we use it, use it consistently.

Signed-off-by: Michal Marek <mmarek@suse.cz>
---
 scripts/package/Makefile |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Comments

Michal Marek May 24, 2011, 3:48 p.m. UTC | #1
On 4.5.2011 22:49, Michal Marek wrote:
> The better fix would be to stop using the parent directory (principle of
> least surprise), but as long as we use it, use it consistently.
>
> Signed-off-by: Michal Marek<mmarek@suse.cz>

Pushed to kbuild-2.6.git#packaging.

Michal
--
To unsubscribe from this list: send the line "unsubscribe linux-kbuild" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
diff mbox

Patch

diff --git a/scripts/package/Makefile b/scripts/package/Makefile
index 1b7eaea..006960e 100644
--- a/scripts/package/Makefile
+++ b/scripts/package/Makefile
@@ -28,7 +28,7 @@  RPM := $(shell if [ -x "/usr/bin/rpmbuild" ]; then echo rpmbuild; \
 # Remove hyphens since they have special meaning in RPM filenames
 KERNELPATH := kernel-$(subst -,_,$(KERNELRELEASE))
 MKSPEC     := $(srctree)/scripts/package/mkspec
-PREV       := set -e; cd ..;
+PREV       := set -e; cd -P ..;
 
 # rpm-pkg
 # ---------------------------------------------------------------------------